#ifndef CONFIGDIALOG2_H
#define CONFIGDIALOG2_H

#include <QDialog>
#include <QModelIndex>
#include <QStandardItemModel>

namespace Ui {
    class ConfigDialog2;
}

class ConfigDialog2 : public QDialog
{
    Q_OBJECT

public:
    explicit ConfigDialog2(QWidget *parent = 0);
    ~ConfigDialog2();

    int getFeedInterval() const;
	void saveSettings() const;

	void loadSettings();

public slots:
	void settingsIconViewClicked(const QModelIndex &index);

private:
    Ui::ConfigDialog2 *ui;

    void populateActionsIconViewModel(QStandardItemModel *model);

private slots:
	void on_delCountryButton_clicked();
	void on_addCountryButton_clicked();
};

#endif // CONFIGDIALOG2_H
