#ifndef BOOKLISTITEMDELEGATE_H
#define BOOKLISTITEMDELEGATE_H

#include <QStyledItemDelegate>
#include <QPainter>
#include <QModelIndex>

/**
	Disegna il contenuto dei feed, ossia oggetti ListaFeed
*/
class BookListItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
	explicit BookListItemDelegate(QObject *parent = 0);

	void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
	QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const;

private:
	QString getGenresText(const QModelIndex &index) const;
	QString getDateAndCountryText(const QModelIndex &index) const;
};

#endif // BOOKLISTITEMDELEGATE_H
