#ifndef BOOKMOOCHERDATA_H
#define BOOKMOOCHERDATA_H

#include <QComboBox>
#include <QHash>
#include <QString>

class BookMoocherData
{
private:
	static QHash<QString,QString> genres;
	static QHash<QString,QString> countries;
	static bool is_initialized;

	static bool initialize();

public:
    BookMoocherData();

	static const QHash<QString,QString> &getCountries();
	static const QHash<QString,QString> &getGenres();

	static bool populateCountriesCombo(QComboBox *combobox);
	static bool populateGenresCombo(QComboBox *combobox);

};

#endif // BOOKMOOCHERDATA_H
